Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: boost-devel-headers
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           dolphin-connector
Version:        1.2
Release:        alt2_38
Summary:        Simple MySQL C API wrapper for C++

License:        BSD
URL:            https://github.com/poetinha/dolphin-connector
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone https://github.com/poetinha/dolphin-connector.git
#  cd dolphin-connector
#  git archive --format=tar --prefix=dolphin-connector-1.2/ v1.2 | gzip >dolphin-connector-1.2.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  libtool libmariadb-devel boost-complete
Source44: import.info

%description
Dolphin Connector is a simple MySQL C API wrapper for C++.

It is originally designed to be as efficient as is possible,
and makes no use of exceptions.

%package devel
Group: Development/Other
Summary: Development files for Dolphin Connector
Requires: %{name} = %{version}-%{release}
Requires: boost-complete

%description devel
Dolphin Connector development package.

%prep
%setup -q

%build
./autogen.sh

%configure --disable-static
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

# cleanup
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -f sample/Makefile*



%files
%doc ChangeLog LICENSE README TODO
%{_libdir}/libdolphinconn.so.*

%files devel
%doc sample
%{_includedir}/dolphinconn
%{_libdir}/libdolphinconn.so

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_38
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_36
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_35
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_34
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_33
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_32
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2-alt2_31
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.2-alt2_29
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_29
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_28
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_27
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_26
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_25
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_24
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_23
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_21
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_20
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_18
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_16
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_10
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_7
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_6
- update to new release by fcimport

* Mon Feb 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_5
- update to new release by fcimport

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_3
- converted for ALT Linux by srpmconvert tools

